Get a specific message reply
Returns a specific message reply, identified by its id.
Path Params
- Name
id- Type
- integer
- required
- Description
Query Params
- Name
updatedAfter- Type
- string
- Description
filter by updated after date
- Name
searchTerm- Type
- string
- Description
filter by message name and body
- Name
projectType- Type
- string
- Description
filter by project type
- Default
normal- Allowed values
normaltasklists-templateprojects-template
- Name
projectStatuses- Type
- string
- Description
filter by project statuses
- Name
orderMode- Type
- string
- Description
order mode
- Default
asc- Allowed values
ascdesc
- Name
orderBy- Type
- string
- Description
order by
- Default
createdat- Allowed values
createdat
- Name
createdBefore- Type
- string
- Description
filter by created before date
- Name
createdAfter- Type
- string
- Description
filter by created after date
- Name
pageSize- Type
- integer
- Description
number of items in a page
- Default
50
- Name
page- Type
- integer
- Description
page number
- Default
1
- Name
unreadOnly- Type
- boolean
- Description
show unread message replies only
- Name
skipCounts- Type
- boolean
- Description
SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.
- Name
onlyStarredProjects- Type
- boolean
- Description
filter by starred projects only
- Name
matchAllProjectTags- Type
- boolean
- Description
match all project tags
- Name
includeOriginal- Type
- boolean
- Description
include original message replies, aka the messages themselves (internally, messages are also replies. it's complicated)
- Default
false
- Name
includeDeleted- Type
- boolean
- Description
include deleted message replies
- Name
includeArchivedProjects- Type
- boolean
- Description
include archived projects
- Name
getEmoji- Type
- boolean
- Description
parse emojis to unicode
- Default
true
- Name
userIds- Type
- array[integer]
- Description
filter by user ids
- Format
- Comma separated values
- Name
projectTagIds- Type
- array[integer]
- Description
filter by project tag ids
- Format
- Comma separated values
- Name
projectOwnerIds- Type
- array[integer]
- Description
filter by project owner ids
- Format
- Comma separated values
- Name
projectIds- Type
- array[integer]
- Description
filter by project ids
- Format
- Comma separated values
- Name
projectHealths- Type
- array[integer]
- Description
filter by project healths
0: not set 1: bad 2: ok 3: good
- Format
- Comma separated values
- Allowed values
0123
- Name
projectCompanyIds- Type
- array[integer]
- Description
filter by company ids
- Format
- Comma separated values
- Name
projectCategoryIds- Type
- array[integer]
- Description
filter by project category ids
- Format
- Comma separated values
- Name
notifiedUserIds- Type
- array[integer]
- Description
filter by users who got notified for the message replies
- Format
- Comma separated values
- Name
messageIds- Type
- array[integer]
- Description
filter by message ids
- Format
- Comma separated values
- Name
include- Type
- array[string]
- Description
include
- Format
- Comma separated values
- Allowed values
messagescreatedBydeletedBytags
- Name
ids- Type
- array[integer]
- Description
filter by ids
- Format
- Comma separated values
- Name
fields[users]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idfirstNamelastNametitleemailcompanyIdcompanyisAdminisClientUserisServiceAccounttypedeletedavatarUrllengthOfDayworkingHoursIdworkingHouruserRateuserCostcanAddProjects
- Name
fields[projects]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idname
- Name
fields[messages]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idmessageIdtitle
- Name
fields[messageReplies]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idmessageId
Responses
- Code
- 200
- Type
- object
- Schema
- Description
- 200 OK
Response contains information about a specific message reply.
- Code
- 400
- Type
- object
- Schema
- Description
- 400 Bad Request
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 404
- Type
- object
- Schema
- Description
- 404 Not Found
ErrorResponse defines how []Error should be marshaled to JSON.
200 OK
{
"included": {
"messages": {
"additionalProp": {
"attachments": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"author": {
"id": 0,
"meta": {},
"type": "string"
},
"body": "string",
"createdAt": "string",
"id": 0,
"lastReply": {
"id": 0,
"meta": {},
"type": "string"
},
"lockdown": {
"id": 0,
"meta": {},
"type": "string"
},
"message": {
"id": 0,
"meta": {},
"type": "string"
},
"meta": {
"isRead": true,
"permissions": {
"canEdit": true
}
},
"peopleNotifiedCount": 0,
"project": {
"id": 0,
"meta": {},
"type": "string"
},
"projectId": 0,
"replyId": 0,
"replyStatus": "string",
"status": "string",
"tags": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"title": "string",
"updatedAt": "string"
}
},
"tags": {
"additionalProp": {
"color": "string",
"count": 0,
"id": 0,
"name": "string",
"project": {
"id": 0,
"meta": {},
"type": "string"
},
"projectId": 0
}
},
"users": {
"additionalProp": {
"avatarUrl": "string",
"canAccessPortfolio": true,
"canAddProjects": true,
"canManagePortfolio": true,
"company": {
"id": 0,
"meta": {},
"type": "string"
},
"companyId": 0,
"companyRoleId": 0,
"createdAt": "string",
"createdBy": {
"id": 0,
"meta": {},
"type": "string"
},
"deleted": true,
"email": "string",
"firstName": "string",
"id": 0,
"isAdmin": true,
"isClientUser": true,
"isPlaceholderResource": true,
"isServiceAccount": true,
"jobRoles": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"lastLogin": "string",
"lastName": "string",
"lengthOfDay": 0,
"meta": {},
"skills": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"teams": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"timezone": "string",
"title": "string",
"type": "string",
"updatedAt": "string",
"updatedBy": {
"id": 0,
"meta": {},
"type": "string"
},
"userCost": 0,
"userRate": 0,
"userRates": {
"additionalProp": {
"amount": 0,
"currency": {
"id": 0,
"meta": {},
"type": "string"
}
}
},
"workingHour": {
"id": 0,
"meta": {},
"type": "string"
},
"workingHoursId": 0
}
}
},
"messageReply": {
"attachments": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"author": {
"id": 0,
"meta": {},
"type": "string"
},
"body": "string",
"createdAt": "string",
"id": 0,
"message": {
"id": 0,
"meta": {},
"type": "string"
},
"meta": {
"isRead": true,
"permissions": {
"canEdit": true
}
},
"peopleNotifiedCount": 0,
"status": "string",
"updatedAt": "string"
}
}